OsmoBSC - Feature #2552

Support configuring voice via osmo-mgw as OSMUX instead of RTP
10/06/2017 02:37 PM - laforge

Status: Resolved Start date: 10/06/2017
Priority: Normal Due date:

Assignee: pespin % Done: 100%
Category: RTP/Media

Target version: OSMUX Generalization

Spec Reference:

Description
The BSC needs to be able to request the use of OSMUX instead of RTP from osmo-mgw.

The BTS-side connection of course (?) remains plain RTP, but the MSC-side connection could be either RTP or OSMUX, based on
configuration, or even based on some proprietary |IE present in the AolP/BSSAP.

Related issues:

Related to OsmoMGW - Feature #2551: generalization of OSMUX support in osmo-mgw In Progress  10/06/2017
Related to Cellular Network Infrastructure - Feature #2554: Reference/Demo se... New 10/06/2017
History

#1 - 10/06/2017 02:37 PM - laforge
- Related to Feature #2551: generalization of OSMUX support in osmo-mgw added

#2 - 10/06/2017 02:40 PM - laforge
- Related to Feature #2554: Reference/Demo setup + documentation for use of OsmoBSC+OsmoBSCNAT with OSMUX added

#3 - 10/29/2017 07:08 PM - laforge

- Target version set to OSMUX Generalization

#4 - 12/10/2017 08:32 PM - laforge
- Category set to RTP/Media

#5 - 06/01/2018 01:53 PM - laforge

- Assignee set to sysmocom

#6 - 05/08/2019 05:44 PM - laforge

- Assignee changed from sysmocom to pespin

#7 - 06/19/2019 02:41 PM - pespin
- Status changed from New to Resolved

- % Done changed from 0 to 100

Done, see #2551
